com.google.gwt.core.ext.typeinfo

## Interface JRawType

All Superinterfaces:
  HasAnnotations, JClassType, JType

    public interface JRawType
    extends JClassType

Represents a raw type; that is a generic type with no type arguments.

### Method Summary

All Methods Instance Methods Abstract Methods
`JParameterizedType` `asParameterizedByWildcards()`
`JGenericType` `getBaseType()`
`JGenericType` `getGenericType()`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType

`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### asParameterizedByWildcards

    JParameterizedType asParameterizedByWildcards()

#### getBaseType

    JGenericType getBaseType()

#### getGenericType

    JGenericType getGenericType()